# honeybadger_deployment – Notify Honeybadger.io about app deployments

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Notify Honeybadger.io about app deployments (see http://docs.honeybadger.io/article/188-deployment-tracking)

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
environment - / required |  | The environment name, typically 'production', 'staging', etc.
repo - |  | URL of the project repository
revision - |  | A hash, number, tag, or other identifier showing what revision was deployed
token - / required |  | API token.
url - | Default: "https://api.honeybadger.io/v1/deploys" | Optional URL to submit the notification to.
user - |  | The username of the person doing the deployment

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates for the target url will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Examples

    - honeybadger_deployment:
        token: AAAAAA
        environment: staging
        user: ansible
        revision: b6826b8
        repo: 'git@github.com:user/repo.git'

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Benjamin Curtis (@stympy)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.